package com.usky.demo.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.demo.domain.SysDept;
import com.usky.demo.domain.SysUser;
import com.usky.demo.service.SysDeptService;
import com.usky.demo.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 部门信息
 * </p>
 *
 * @author ya
 * @since 2022-04-21
 */
@RestController
@RequestMapping("/sysDept")
public class SysDeptController {


    @Autowired
    private SysDeptService sysDeptService;

    /**
     * 查看部门信息
     * @return
     */
    @PostMapping("list")
    public ApiResult<List<SysDept>> list(@RequestBody SysDept sysDept){
        return ApiResult.success(sysDeptService.list());
    }
}

